Qwt User's Guide: QwtPowerTransform Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtPowerTransform Class Reference

A transformation using pow() More...

`#include <qwt_transform.h>`

Inheritance diagram for QwtPowerTransform:

## Public Member Functions
| QwtPowerTransform (double exponent)
virtual | ~QwtPowerTransform ()
| Destructor.
virtual double | transform (double value) const override
virtual double | invTransform (double value) const override
virtual QwtTransform * | copy () const override
Public Member Functions inherited from QwtTransform
| QwtTransform ()
| Constructor.
virtual | ~QwtTransform ()
| Destructor.
virtual double | bounded (double value) const

## Detailed Description

A transformation using pow()

QwtPowerTransform preserves the sign of a value. F.e. a transformation with a factor of 2 transforms a value of -3 to -9 and v.v. Thus QwtPowerTransform can be used for scales including negative values.

Definition at line 125 of file qwt_transform.h.

## Constructor & Destructor Documentation

## ◆ QwtPowerTransform()

QwtPowerTransform::QwtPowerTransform | ( | double | exponent | ) |
| explicit

Constructor

Parameters

  exponent | Exponent

Definition at line 121 of file qwt_transform.cpp.

## ◆ ~QwtPowerTransform()

QwtPowerTransform::~QwtPowerTransform | ( |  | ) |
| virtual

Destructor.

Definition at line 128 of file qwt_transform.cpp.

## Member Function Documentation

## ◆ copy()

QwtTransform * QwtPowerTransform::copy | ( |  | ) | const
| overridevirtual

Returns
  Clone of the transformation

Implements QwtTransform.

Definition at line 158 of file qwt_transform.cpp.

## ◆ invTransform()

double QwtPowerTransform::invTransform | ( | double | value | ) | const
| overridevirtual

Parameters

  value | Value to be transformed

Returns
  Inverse exponentiation preserving the sign

Implements QwtTransform.

Definition at line 149 of file qwt_transform.cpp.

## ◆ transform()

double QwtPowerTransform::transform | ( | double | value | ) | const
| overridevirtual

Parameters

  value | Value to be transformed

Returns
  Exponentiation preserving the sign

Implements QwtTransform.

Definition at line 136 of file qwt_transform.cpp.